"use strict";
/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.CopierLambdaFactory = void 0;
const events_1 = require("events");
const lambda_1 = require("./lambda");
/**
 * @internal
 */
class CopierLambdaFactory extends events_1.EventEmitter {
    constructor(mongoManager, rawOpCollection) {
        super();
        this.mongoManager = mongoManager;
        this.rawOpCollection = rawOpCollection;
    }
    async create(config, context) {
        return new lambda_1.CopierLambda(this.rawOpCollection, context);
    }
    async dispose() {
        await this.mongoManager.close();
    }
}
exports.CopierLambdaFactory = CopierLambdaFactory;
//# sourceMappingURL=lambdaFactory.js.map