"use strict";
/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.createDeliCheckpointManagerFromCollection = void 0;
/**
 * @internal
 */
function createDeliCheckpointManagerFromCollection(tenantId, documentId, checkpointService) {
    const checkpointManager = {
        writeCheckpoint: async (checkpoint, isLocal) => {
            return checkpointService.writeCheckpoint(documentId, tenantId, "deli", checkpoint, isLocal);
        },
        deleteCheckpoint: async (checkpointParams, isLocal) => {
            return checkpointService.clearCheckpoint(documentId, tenantId, "deli", isLocal);
        },
    };
    return checkpointManager;
}
exports.createDeliCheckpointManagerFromCollection = createDeliCheckpointManagerFromCollection;
//# sourceMappingURL=checkpointManager.js.map