/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { IContext, IQueuedMessage, IPartitionLambda, IServiceConfiguration } from "@fluidframework/server-services-core";
/**
 * @internal
 */
export declare class MoiraLambda implements IPartitionLambda {
    protected context: IContext;
    private readonly serviceConfiguration;
    private readonly tenantId;
    private readonly documentId;
    private pending;
    private pendingOffset;
    private current;
    constructor(context: IContext, serviceConfiguration: IServiceConfiguration, tenantId: string, documentId: string);
    handler(message: IQueuedMessage): undefined;
    close(): void;
    private sendPending;
    private createDerivedGuid;
    private processMoiraCoreParallel;
    private processMoiraCore;
    private createBranch;
    private createCommit;
}
//# sourceMappingURL=lambda.d.ts.map