/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
/// <reference types="node" />
import { EventEmitter } from "events";
import { IContext, IPartitionLambda, IPartitionLambdaConfig, IPartitionLambdaFactory, IServiceConfiguration, MongoManager } from "@fluidframework/server-services-core";
/**
 * @internal
 */
export declare class MoiraLambdaFactory extends EventEmitter implements IPartitionLambdaFactory<IPartitionLambdaConfig> {
    private readonly mongoManager;
    private readonly serviceConfiguration;
    constructor(mongoManager: MongoManager, serviceConfiguration: IServiceConfiguration);
    create(config: IPartitionLambdaConfig, context: IContext): Promise<IPartitionLambda>;
    dispose(): Promise<void>;
}
//# sourceMappingURL=lambdaFactory.d.ts.map