"use strict";
/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.getClientIds = exports.sendToDeli = exports.initializeProtocol = void 0;
const protocol_base_1 = require("@fluidframework/protocol-base");
const server_services_core_1 = require("@fluidframework/server-services-core");
const initializeProtocol = (protocolState) => new protocol_base_1.ProtocolOpHandler(protocolState.minimumSequenceNumber, protocolState.sequenceNumber, protocolState.members, protocolState.proposals, protocolState.values, () => -1);
exports.initializeProtocol = initializeProtocol;
// eslint-disable-next-line @typescript-eslint/promise-function-async
const sendToDeli = (tenantId, documentId, producer, operation) => {
    if (!producer) {
        throw new Error("Invalid producer");
    }
    const message = {
        clientId: null,
        documentId,
        operation,
        tenantId,
        timestamp: Date.now(),
        type: server_services_core_1.RawOperationType,
    };
    return producer.send([message], tenantId, documentId);
};
exports.sendToDeli = sendToDeli;
const getClientIds = (protocolState, clientCount) => {
    return protocolState.members.slice(0, clientCount).map((member) => member[0]);
};
exports.getClientIds = getClientIds;
//# sourceMappingURL=utils.js.map