/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
/// <reference types="node" />
import { EventEmitter } from "events";
import { ICollection, IContext, IPartitionLambda, IPartitionLambdaFactory, MongoManager } from "@fluidframework/server-services-core";
/**
 * @internal
 */
export declare class ScriptoriumLambdaFactory extends EventEmitter implements IPartitionLambdaFactory {
    private readonly mongoManager;
    private readonly opCollection;
    private readonly providerConfig;
    constructor(mongoManager: MongoManager, opCollection: ICollection<any>, providerConfig: Record<string, any> | undefined);
    create(config: undefined, context: IContext): Promise<IPartitionLambda>;
    dispose(): Promise<void>;
}
//# sourceMappingURL=lambdaFactory.d.ts.map