/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { ICache } from "@fluidframework/server-services-core";
export interface IConnectionCountLogger {
    /**
     * This function will increment and store total connection count per node and per cluster in Redis, and
     * will also log these counters using ConnectionCountPerNode and TotalConnectionCount metrics respectively.
     */
    incrementConnectionCount(): void;
    /**
     * This function will decrement and store total connection count per node and per cluster in Redis, and
     * will also log these counters using ConnectionCountPerNode and TotalConnectionCount metrics respectively.
     */
    decrementConnectionCount(): void;
}
export declare class ConnectionCountLogger implements IConnectionCountLogger {
    private readonly nodeName;
    private readonly cache;
    private readonly perNodeKeyName;
    private readonly perClusterKeyName;
    constructor(nodeName: string, cache: ICache | undefined);
    incrementConnectionCount(): void;
    decrementConnectionCount(): void;
}
//# sourceMappingURL=connectionCountLogger.d.ts.map